Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Enter your token in the format token TOKEN

Headers

X-PhraseApp-OTP
string

Two-Factor-Authentication token (optional)

Path Parameters

project_id
string
required

Project ID

id
string
required

ID

Body

application/json
branch
string

specify the branch to use

Example:

"my-feature-branch"

Response

OK

id
string
name
string
briefing
string
due_date
string<date-time> | null
state
string
ticket_url
string
project
project_short · object
Example:
branch
branch_name · object
Example:
created_at
string<date-time>
updated_at
string<date-time>
automation_id
string | null

The ID of the automation that created this job, or null if the job was created manually.

job_template_id
string | null

The ID of the job template this job was created from, or null if no template was used.

review_due_date
string<date-time> | null

The review due date for this job. Returns null when the project does not have review workflow enabled.

Example:

"2015-03-25T11:43:52Z"

owner
user_preview · object
Example:
job_tag_name
string
source_translations_updated_at
string<date-time>
source_locale
locale_preview · object
Example:
locales
locale_preview · object[]
keys
key_preview · object[]
annotations
job_annotation · object[]

Returned only when include_annotations=true is supplied on the request.

locked
boolean

true if the job has been locked by the project's job-locking workflow (translations attached to the job are read-only until the job advances).